services:
  filebrowser:
    container_name: filebrowser
    image: filebrowser/filebrowser:latest
    networks:
      - reverse-proxy
    ports:
      - 8484:80
    restart: always
    volumes:
      - ${DOCKER_CONFIGS}/config/filebrowser.db:/database/filebrowser.db
      - ${DOCKER_CONFIGS}/config/.filebrowser.json:/.filebrowser.json
      - ${DOCKER_CONFIGS}/files:/srv
      - ${STORAGE_DIR}:/storage

networks:
  reverse-proxy:
    name: reverse-proxy
    external: true
